//*****************************************************************************
// File Name            : helloworld_gpio.c
//-----------------------------------------------------------------------------
// Function             : helloworld_gpio
//
//-----------------------------------------------------------------------------
// Designer             : yokomizo
//-----------------------------------------------------------------------------
// History
// -.-- 2016/01/25
//*****************************************************************************
#include <stdio.h>
#include "platform.h"
#include "xparameters.h"
#include "xgpio.h"

void print(char *str);

XGpio Gpio;

int main()
{
	u32 Data;
	int Status;
    XGpio_Config xcfg_out;
    init_platform();
	Status = XGpio_Initialize(&Gpio, XPAR_AXI_GPIO_0_DEVICE_ID);
    print("GPIO TEST\n\r");
    while(1){
	  Data = XGpio_DiscreteRead(&Gpio, 2);
	  XGpio_DiscreteWrite(&Gpio,1, Data);
    }
    cleanup_platform();
    return 0;
}
